Camstream: CamStream API documentation

Main Page Class Hierarchy Compound List File List Compound Members File Members

# CVideoSettingsDlg Class Reference

`#include <VideoSettingsDlg.h>`

Inheritance diagram for CVideoSettingsDlg::

List of all members.

## Public Methods

- CVideoSettingsDlg (CVideoDevice *video)

## Signals

- void DialogClosed ()
- void Changed (QSize, int)

## Protected Methods

- void hideEvent (QHideEvent *)
- void showEvent (QShowEvent *)

## Protected Slots

- virtual void ClickedSize (int)
- virtual void ClickedRate (int)
- virtual void MovedBrightness (int)
- virtual void MovedContrast (int)
- virtual void MovedGamma (int)
- virtual void MovedColour (int)
- virtual void ClickedInputSelector (int)
- virtual void ClickedTunerSelector (int)
- virtual void ClickedFrequencySystem (int)
- virtual void ClickedChannel ()
- virtual void MovedFineTuning (int)
- virtual void ToggledAGC (bool)
- virtual void MovedAGC (int)
- virtual void ToggledShutter (bool)
- virtual void MovedShutter (int)
- virtual void ToggledContour (bool)
- virtual void MovedContour (int)
- virtual void ToggledBacklight (bool)
- virtual void ToggledFlicker (bool)
- virtual void ChangedNoise (int)
- virtual void ChangedCompression (int)
- virtual void ChangedWB (int)
- virtual void MovedRed (int)
- virtual void MovedBlue (int)
- virtual void MovedWBSpeed (int)
- virtual void MovedWBDelay (int)
- virtual void ClickedSaveUser ()
- virtual void ClickedRestoreUser ()
- virtual void ClickedRestoreFactory ()

## Constructor & Destructor Documentation

CVideoSettingsDlg::CVideoSettingsDlg ( | CVideoDevice * video )

## Member Function Documentation

void CVideoSettingsDlg::Changed ( | QSize,
| int )`[signal]`

virtual void CVideoSettingsDlg::ChangedCompression ( | int )`[protected, virtual, slot]`

| Reimplemented from CVideoSettings.

virtual void CVideoSettingsDlg::ChangedNoise ( | int )`[protected, virtual, slot]`

| Reimplemented from CVideoSettings.

void CVideoSettingsDlg::ChangedWB ( | int new_mode )`[protected, virtual, slot]`

| Called when user chooses different white balance. This function will modify the dialog. When using a preset (indooor/outdoor), the red and blue dials are hidden. In auto mode, the dials track the values as reported by the camera. In manual mode, the dials can be set by the user. Reimplemented from CVideoSettings.

virtual void CVideoSettingsDlg::ClickedChannel ( | )`[protected, virtual, slot]`

virtual void CVideoSettingsDlg::ClickedFrequencySystem ( | int )`[protected, virtual, slot]`

| Reimplemented from CVideoSettings.

virtual void CVideoSettingsDlg::ClickedInputSelector ( | int )`[protected, virtual, slot]`

| Reimplemented from CVideoSettings.

void CVideoSettingsDlg::ClickedRate ( | int f )`[protected, virtual, slot]`

| Called when the user clicked on a Framerate radio button. Reimplemented from CVideoSettings.

virtual void CVideoSettingsDlg::ClickedRestoreFactory ( | )`[protected, virtual, slot]`

| Reimplemented from CVideoSettings.

virtual void CVideoSettingsDlg::ClickedRestoreUser ( | )`[protected, virtual, slot]`

| Reimplemented from CVideoSettings.

virtual void CVideoSettingsDlg::ClickedSaveUser ( | )`[protected, virtual, slot]`

| Reimplemented from CVideoSettings.

void CVideoSettingsDlg::ClickedSize ( | int s )`[protected, virtual, slot]`

| Called when the user clicked on a Size radio button. Reimplemented from CVideoSettings.

virtual void CVideoSettingsDlg::ClickedTunerSelector ( | int )`[protected, virtual, slot]`

| Reimplemented from CVideoSettings.

void CVideoSettingsDlg::DialogClosed ( | )`[signal]`

virtual void CVideoSettingsDlg::MovedAGC ( | int )`[protected, virtual, slot]`

| Reimplemented from CVideoSettings.

virtual void CVideoSettingsDlg::MovedBlue ( | int )`[protected, virtual, slot]`

| Reimplemented from CVideoSettings.

virtual void CVideoSettingsDlg::MovedBrightness ( | int )`[protected, virtual, slot]`

| Reimplemented from CVideoSettings.

virtual void CVideoSettingsDlg::MovedColour ( | int )`[protected, virtual, slot]`

| Reimplemented from CVideoSettings.

virtual void CVideoSettingsDlg::MovedContour ( | int )`[protected, virtual, slot]`

| Reimplemented from CVideoSettings.

virtual void CVideoSettingsDlg::MovedContrast ( | int )`[protected, virtual, slot]`

| Reimplemented from CVideoSettings.

virtual void CVideoSettingsDlg::MovedFineTuning ( | int )`[protected, virtual, slot]`

| Reimplemented from CVideoSettings.

virtual void CVideoSettingsDlg::MovedGamma ( | int )`[protected, virtual, slot]`

| Reimplemented from CVideoSettings.

virtual void CVideoSettingsDlg::MovedRed ( | int )`[protected, virtual, slot]`

| Reimplemented from CVideoSettings.

virtual void CVideoSettingsDlg::MovedShutter ( | int )`[protected, virtual, slot]`

| Reimplemented from CVideoSettings.

virtual void CVideoSettingsDlg::MovedWBDelay ( | int )`[protected, virtual, slot]`

| Reimplemented from CVideoSettings.

virtual void CVideoSettingsDlg::MovedWBSpeed ( | int )`[protected, virtual, slot]`

| Reimplemented from CVideoSettings.

virtual void CVideoSettingsDlg::ToggledAGC ( | bool )`[protected, virtual, slot]`

| Reimplemented from CVideoSettings.

virtual void CVideoSettingsDlg::ToggledBacklight ( | bool )`[protected, virtual, slot]`

| Reimplemented from CVideoSettings.

virtual void CVideoSettingsDlg::ToggledContour ( | bool )`[protected, virtual, slot]`

| Reimplemented from CVideoSettings.

virtual void CVideoSettingsDlg::ToggledFlicker ( | bool )`[protected, virtual, slot]`

| Reimplemented from CVideoSettings.

virtual void CVideoSettingsDlg::ToggledShutter ( | bool )`[protected, virtual, slot]`

| Reimplemented from CVideoSettings.

void CVideoSettingsDlg::hideEvent ( | QHideEvent * e )`[protected]`

| We broadcast the fact that the dialog got hidden, to update the toolbar.

void CVideoSettingsDlg::showEvent ( | QShowEvent * )`[protected]`

The documentation for this class was generated from the following files:

- VideoSettingsDlg.h
- VideoSettingsDlg.cc